Bug 829881 - Use polkit .rules files instead of .pkla files
Use polkit .rules files instead of .pkla files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F18Blocker-kde
  Show dependency treegraph
 
Reported: 2012-06-07 14:16 EDT by David Zeuthen
Modified: 2012-11-08 13:28 EST (History)
9 users (show)

See Also:
Fixed In Version: kde-settings-4.9-14.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-08 13:28:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2012-06-07 14:16:49 EDT
With polkit version 0.106, .rules files are used instead of .pkla files, see

 http://davidz25.blogspot.com/2012/06/authorization-rules-in-polkit.html

for more information. Therefore, please port the file

 /var/lib/polkit-1/localauthority/10-vendor.d/11-fedora-kde-policy.pkla

to use the new format. If you have any questions, I'm subscribed to this bug to help. Thanks.
Comment 1 Rex Dieter 2012-06-18 10:41:06 EDT
I assume it won't work without changing this, so let's mark as blocker to minimize chances of forgetting about it.
Comment 2 Kevin Kofler 2012-10-12 12:24:25 EDT
Fixed in kde-settings upstream:
trunk: https://fedorahosted.org/kde-settings/changeset/463/
F-18 branch: https://fedorahosted.org/kde-settings/changeset/464/
Comment 3 Fedora Update System 2012-10-12 20:21:08 EDT
kde-settings-4.9-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-15008/kde-settings-4.9-14.fc18
Comment 4 Fedora Update System 2012-10-13 17:06:56 EDT
Package kde-settings-4.9-14.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-settings-4.9-14.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15008/kde-settings-4.9-14.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.